Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jempbox.xmp
Class XMPSchemaBasic

    java.lang.Object
      org.jempbox.xmp.XMPSchema
          org.jempbox.xmp.XMPSchemaBasic

public class XMPSchemaBasic
extends XMPSchema

Define XMP properties that are common to all schemas.

Version:
  $Revision: 1.4 $
Author:
  Ben Litchfield

Field Summary
`static java.lang.String` | `NAMESPACE` The namespace of this schema.

Fields inherited from class org.jempbox.xmp.XMPSchema
`NS_NAMESPACE, prefix, schema`

Constructor Summary
`XMPSchemaBasic(org.w3c.dom.Element element, java.lang.String prefix)` Constructor from existing XML element.
`XMPSchemaBasic(XMPMetadata parent)` Construct a new blank PDF schema.

Method Summary
`void` | `addAdvisory(java.lang.String advisory)` Add an advisory to the list.
`void` | `addIdentifier(java.lang.String id)` Add a new identifier for this resource.
`java.util.List` | `getAdvisories()` Get the complete list of advisories.
`java.lang.String` | `getBaseURL()` Get the base URL of the resource.
`java.util.Calendar` | `getCreateDate()` Get the creation date of the resource.
`java.lang.String` | `getCreatorTool()` Get the tool that created this resource, in the form of "vendor app version", ie "Adobe Acrobat Distiller 5.0".
`java.util.List` | `getIdentifiers()` Get the complete list of identifiers.
`java.lang.String` | `getLabel()` Get the short phrase that describes this resource.
`java.util.Calendar` | `getMetadataDate()` Get the metadata change date for this resource.
`java.util.Calendar` | `getModifyDate()` Get the date the resource was last modified.
`java.lang.String` | `getNickname()` Get the short informal name for this resource.
`java.lang.Integer` | `getRating()` Get a number that indicates the documents status.
`Thumbnail` | `getThumbnail()` Get the default value for the thumbnail.
`Thumbnail` | `getThumbnail(java.lang.String language)` Get the thumbnail in a specific language.
`java.util.List` | `getThumbnailLanguages()` Get a list of all languages that a thumbnail exists for.
`java.lang.String` | `getTitle()` Get the title for this resource.
`void` | `removeAdvisory(java.lang.String advisory)` Remove an Advisory xpath expression.
`void` | `removeIdentifier(java.lang.String id)` Remove an identifier to this resource.
`void` | `setBaseURL(java.lang.String url)` The base URL of the resource, for relative URLs in the document.
`void` | `setCreateDate(java.util.Calendar date)` Set the creation date of the resource.
`void` | `setCreatorTool(java.lang.String creator)` The creator tool for the resource.
`void` | `setLabel(java.lang.String label)` Set a short phrase that identifies this resource.
`void` | `setMetadataDate(java.util.Calendar date)` Set the date that any metadata was updated.
`void` | `setModifyDate(java.util.Calendar date)` Set the date that the resource was last modified.
`void` | `setNickname(java.lang.String nickname)` Set a short informal name for the resource.
`void` | `setRating(java.lang.Integer rating)` Set the document status.
`void` | `setThumbnail(java.lang.String language, Thumbnail thumbnail)` Set the thumbnail of this resource in a specific language.
`void` | `setThumbnail(Thumbnail thumbnail)` Set the default value for the thumbnail.
`void` | `setTitle(java.lang.String title)` Set a Title for this resource.

Methods inherited from class org.jempbox.xmp.XMPSchema
`addBagValue, addSequenceDateValue, addSequenceValue, addSequenceValue, getAbout, getBagList, getBooleanProperty, getDateProperty, getElement, getEventSequenceList, getIntegerProperty, getLanguageProperty, getLanguagePropertyLanguages, getSequenceDateList, getSequenceList, getTextProperty, getThumbnailProperty, merge, removeBagValue, removeSequenceDateValue, removeSequenceValue, removeSequenceValue, setAbout, setBooleanProperty, setDateProperty, setIntegerProperty, setLanguageProperty, setTextProperty, setThumbnailProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

  The namespace of this schema.

  See Also:
    Constant Field Values

Constructor Detail

### XMPSchemaBasic

    public XMPSchemaBasic(XMPMetadata parent)

  Construct a new blank PDF schema.

Parameters:
  `parent` - The parent metadata schema that this will be part of.

### XMPSchemaBasic

    public XMPSchemaBasic(org.w3c.dom.Element element,
                          java.lang.String prefix)

  Constructor from existing XML element.

Parameters:
  `element` - The existing element.
  `prefix` - The schema prefix.

Method Detail

### removeAdvisory

    public void removeAdvisory(java.lang.String advisory)

  Remove an Advisory xpath expression.

  Parameters:
    `advisory` - An xpath expression specifying properties that were edited outside of the authoring application.

### addAdvisory

    public void addAdvisory(java.lang.String advisory)

  Add an advisory to the list.

  Parameters:
    `advisory` - The new advisory xpath expression.

### getAdvisories

    public java.util.List getAdvisories()

  Get the complete list of advisories.

  Returns:
    The list of advisories.

### setBaseURL

    public void setBaseURL(java.lang.String url)

  The base URL of the resource, for relative URLs in the document.

  Parameters:
    `url` - The base URL.

### getBaseURL

    public java.lang.String getBaseURL()

  Get the base URL of the resource.

  Returns:
    The base URL.

### setCreateDate

    public void setCreateDate(java.util.Calendar date)

  Set the creation date of the resource.

  Parameters:
    `date` - The creation date of the resource.

### getCreateDate

    public java.util.Calendar getCreateDate()
                                     throws java.io.IOException

  Get the creation date of the resource.

  Returns:
    The creation date of the resource.
  Throws:
    `java.io.IOException` - If there is an error while converting this property to a date.

### setCreatorTool

    public void setCreatorTool(java.lang.String creator)

  The creator tool for the resource. In the form of "vendor app version", ie "Adobe Acrobat Distiller 5.0"

  Parameters:
    `creator` - The tool that was used to create the resource.

### getCreatorTool

    public java.lang.String getCreatorTool()

  Get the tool that created this resource, in the form of "vendor app version", ie "Adobe Acrobat Distiller 5.0".

  Returns:
    The creator tool.

### removeIdentifier

    public void removeIdentifier(java.lang.String id)

  Remove an identifier to this resource.

  Parameters:
    `id` - An identifier to this resource.

### addIdentifier

    public void addIdentifier(java.lang.String id)

  Add a new identifier for this resource.

  Parameters:
    `id` - A new identifier for this resource.

### getIdentifiers

    public java.util.List getIdentifiers()

  Get the complete list of identifiers.

  Returns:
    The list of identifiers.

### setLabel

    public void setLabel(java.lang.String label)

  Set a short phrase that identifies this resource.

  Parameters:
    `label` - A short description of this resource.

### getLabel

    public java.lang.String getLabel()

  Get the short phrase that describes this resource.

  Returns:
    The label for this resource.

### setTitle

    public void setTitle(java.lang.String title)

  Set a Title for this resource.

  Parameters:
    `title` - A title denoting this resource

### getTitle

    public java.lang.String getTitle()

  Get the title for this resource.

  Returns:
    The titled denoting this resource.

### setMetadataDate

    public void setMetadataDate(java.util.Calendar date)

  Set the date that any metadata was updated.

  Parameters:
    `date` - The metadata change date for this resource.

### getMetadataDate

    public java.util.Calendar getMetadataDate()
                                       throws java.io.IOException

  Get the metadata change date for this resource.

  Returns:
    The metadata change date of the resource.
  Throws:
    `java.io.IOException` - If there is an error while converting this property to a date.

### setModifyDate

    public void setModifyDate(java.util.Calendar date)

  Set the date that the resource was last modified.

  Parameters:
    `date` - The modify date for this resource.

### getModifyDate

    public java.util.Calendar getModifyDate()
                                     throws java.io.IOException

  Get the date the resource was last modified.

  Returns:
    The modify date of the resource.
  Throws:
    `java.io.IOException` - If there is an error while converting this property to a date.

### setNickname

    public void setNickname(java.lang.String nickname)

  Set a short informal name for the resource.

  Parameters:
    `nickname` - A short name of this resource.

### getNickname

    public java.lang.String getNickname()

  Get the short informal name for this resource.

  Returns:
    The short name for this resource.

### getRating

    public java.lang.Integer getRating()

  Get a number that indicates the documents status.

  Returns:
    The rating of the document.

### setRating

    public void setRating(java.lang.Integer rating)

  Set the document status.

  Parameters:
    `rating` - A number indicating status relative to other documents.

### setThumbnail

    public void setThumbnail(Thumbnail thumbnail)

  Set the default value for the thumbnail.

  Parameters:
    `thumbnail` - The thumbnail of this resource.

### getThumbnail

    public Thumbnail getThumbnail()

  Get the default value for the thumbnail.

  Returns:
    The thumbnail of this resource.

### setThumbnail

    public void setThumbnail(java.lang.String language,
                             Thumbnail thumbnail)

  Set the thumbnail of this resource in a specific language.

  Parameters:
    `language` - The language code.
    `thumbnail` - The thumbnail in a specific language.

### getThumbnail

    public Thumbnail getThumbnail(java.lang.String language)

  Get the thumbnail in a specific language.

  Parameters:
    `language` - The language code to get the description for.
  Returns:
    The thumbnail in the specified language or null if it does not exist.

### getThumbnailLanguages

    public java.util.List getThumbnailLanguages()

  Get a list of all languages that a thumbnail exists for.

  Returns:
    A non-null list of languages, potentially an empty list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD